package com.gic.haoban.manage.web.vo.open;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class OpenStaffVO implements Serializable {

    /**
     * 主键
     */
    private Long openStaffId;

    /**
     * 成员id
     */
    private String staffId;
    /**
     * 成员名称
     */
    private String staffName ;

    /**
     * 关联导购
     */
    List<StoreClerkVO> clerkList ;

    /**
     * 品牌名称
     */
    private String brandName ;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 客户端id
     */
    private String uuid;

    /**
     * 1授权中 2未登录(已过期)
     */
    private Integer statusFlag;

    /**
     * 登录步骤1已扫码 2取消登录 3超时 4验证码正确
     */
    private Integer step;

    /**
     * 企微的userid
     */
    private Long qwUserId;

    /**
     * 企微的企业id
     */
    private Long wxCorpId;

    /**
     * 一次扫码内容
     */
    private String qrCode1;

    /**
     * 一次扫码内容
     */
    private String key1;

    /**
     * 二次扫码内容
     */
    private String qrCode2;

    /**
     * 二次扫码内容
     */
    private String key2;

    /**
     * 是否需要验证码
     */
    private Integer validFlag;

    /**
     * 最新授权时间
     */
    private Date authTime;

    /**
     * 首次授权时间
     */
    private Date firstAuthTime;

    /**
     * 需要二次扫码
     */
    private Integer validQrcodeFlag ;

    public Long getOpenStaffId() {
        return openStaffId;
    }

    public void setOpenStaffId(Long openStaffId) {
        this.openStaffId = openStaffId;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public List<StoreClerkVO> getClerkList() {
        return clerkList;
    }

    public void setClerkList(List<StoreClerkVO> clerkList) {
        this.clerkList = clerkList;
    }

    public String getBrandName() {
        return brandName;
    }

    public void setBrandName(String brandName) {
        this.brandName = brandName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Integer getStep() {
        return step;
    }

    public void setStep(Integer step) {
        this.step = step;
    }

    public Long getQwUserId() {
        return qwUserId;
    }

    public void setQwUserId(Long qwUserId) {
        this.qwUserId = qwUserId;
    }

    public Long getWxCorpId() {
        return wxCorpId;
    }

    public void setWxCorpId(Long wxCorpId) {
        this.wxCorpId = wxCorpId;
    }

    public String getQrCode1() {
        return qrCode1;
    }

    public void setQrCode1(String qrCode1) {
        this.qrCode1 = qrCode1;
    }

    public String getKey1() {
        return key1;
    }

    public void setKey1(String key1) {
        this.key1 = key1;
    }

    public String getQrCode2() {
        return qrCode2;
    }

    public void setQrCode2(String qrCode2) {
        this.qrCode2 = qrCode2;
    }

    public String getKey2() {
        return key2;
    }

    public void setKey2(String key2) {
        this.key2 = key2;
    }

    public Integer getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(Integer validFlag) {
        this.validFlag = validFlag;
    }

    public Date getAuthTime() {
        return authTime;
    }

    public void setAuthTime(Date authTime) {
        this.authTime = authTime;
    }

    public Date getFirstAuthTime() {
        return firstAuthTime;
    }

    public void setFirstAuthTime(Date firstAuthTime) {
        this.firstAuthTime = firstAuthTime;
    }

    public Integer getValidQrcodeFlag() {
        return validQrcodeFlag;
    }

    public void setValidQrcodeFlag(Integer validQrcodeFlag) {
        this.validQrcodeFlag = validQrcodeFlag;
    }
}
